play.utils

## Class HTML.HtmlCharacterEntityReferences

- java.lang.Object
- - play.utils.HTML.HtmlCharacterEntityReferences

Enclosing class:
  HTML

    public static class HTML.HtmlCharacterEntityReferences
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`HtmlCharacterEntityReferences()` Returns a new set of character entity references reflecting the HTML 4.0 character set.

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `convertToCharacter(java.lang.String entityReference)` Return the char mapped to the given entityReference or -1.
`java.lang.String` `convertToReference(char character)` Return the reference mapped to the given character or `null`.
`int` `getSupportedReferenceCount()` Return the number of supported entity references.
`boolean` `isMappedToReference(char character)` Return true if the given character is mapped to a supported entity reference.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlCharacterEntityReferences

    public HtmlCharacterEntityReferences()

Returns a new set of character entity references reflecting the HTML 4.0 character set.

### Method Detail

#### getSupportedReferenceCount

    public int getSupportedReferenceCount()

Return the number of supported entity references.

Returns:
  Number of supported entity references

#### isMappedToReference

    public boolean isMappedToReference(char character)

Return true if the given character is mapped to a supported entity reference.

Parameters:
  `character` - The given character
Returns:
  true if the given character is mapped to a supported entity reference

#### convertToReference

    public java.lang.String convertToReference(char character)

Return the reference mapped to the given character or `null`.

Parameters:
  `character` - The given character
Returns:
  The reference mapped to the given character or `null`

#### convertToCharacter

    public char convertToCharacter(java.lang.String entityReference)

Return the char mapped to the given entityReference or -1.

Parameters:
  `entityReference` - The given entityReference
Returns:
  The char mapped to the given entityReference or -1.